Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006964 [DCSS] Bug Report minor always 2013-04-25 21:52 2014-02-11 00:57
Reporter BeardTony View Status public  
Assigned To Medar
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006964: Moving through water produces massive slowdown
Description Webtiles runs painfully slowly when my character is trying to move through water tiles (generally about 3 tiles per 2 seconds). Even when flying the games slows down tremendously once water is visible on the screen. This is extremely aggravating when in the swamp/shoals. I normally play on 2 different machines, both of them laptop PCs and it happens every time on both. I haven't seen this type of slowdown reported anywhere and I'm wondering if it's a problem with my computers, the Akrasiac server, or the path-finding algorithm when water is involved.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022444)
KiloByte (manager)
2013-04-25 22:08

Hey, but I haven't yet pushed that branch! :p

(Just kidding, it's a bit unlikely you're playing a djinni character)
(0022445)
BeardTony (reporter)
2013-04-25 23:03
edited on: 2013-04-25 23:03

It's the .12 beta branch, but it really doesn't matter which branch it is. It always seems to happen when I have water in my line of sight even in .11 and the git version. Sorry for mislabeling the branch.

(0022447)
mumra (developer)
2013-04-26 01:59

This problem is in Firefox - try a different browser until a solution is found. Some people were aware of it but nobody had opened a ticket yet so thanks for reporting.
(0025280)
Medar (developer)
2014-02-11 00:57

Yeah, this was (or is) most likely a browser issue (for most part). Hopefully it has been fixed since.

I have also disabled water tile animation by default and fixed few glaring performance bottlenecks from rendering recently.

So I'm closing this report. If anyone is still getting bad performance near water, please reopen and note your browser version and platform. Testing on other browsers is also appreciated.

- Issue History
Date Modified Username Field Change
2013-04-25 21:52 BeardTony New Issue
2013-04-25 22:08 KiloByte Note Added: 0022444
2013-04-25 23:03 BeardTony Note Added: 0022445
2013-04-25 23:03 BeardTony Note Edited: 0022445
2013-04-26 01:59 mumra Note Added: 0022447
2014-02-11 00:57 Medar Note Added: 0025280
2014-02-11 00:57 Medar Status new => resolved
2014-02-11 00:57 Medar Fixed in Branch => 0.14 development branch
2014-02-11 00:57 Medar Resolution open => done
2014-02-11 00:57 Medar Assigned To => Medar


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker